Finds indices of values passing a test.
[:package:](https://www.npmjs.com/package/@extra-array/search-all)
[:smiley_cat:](https://github.com/orgs/nodef/packages?repo_name=extra-array)
[:running:](https://npm.runkit.com/@extra-array/search-all)
[:vhs:](https://asciinema.org/a/332123)
[:moon:](https://www.npmjs.com/package/@extra-array/search-all.min)
[:scroll:](https://unpkg.com/@extra-array/search-all/)
[:newspaper:](https://nodef.github.io/extra-array/)
[:blue_book:](https://github.com/nodef/extra-array/wiki/)

> Alternatives: [search], [searchRight], [searchAll].<br>
> Similar: [search], [scan], [find].

> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

<br>

```javascript
array.searchAll(x, ft);
// x:  an array
// ft: test function (v, i, x)
```

```javascript
const array = require("extra-array");

var x = [1, 2, 3, 2, 5];
array.searchAll(x, 2);
// [ 1, 3 ] ^     ^

var x = [1, 2, 3, -2, 5];
array.searchAll(x, 2, (a, b) => Math.abs(a) - Math.abs(b));
// [ 1, 3 ] ^      ^

array.searchAll(x, 2, null, v => Math.abs(v));
// [ 1, 3 ] ^      ^
```

<br>
<br>


## References

- [List-Extra.elemIndices: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#elemIndices)
- [iterable-binsearch: @krisselden](https://www.npmjs.com/package/iterable-binsearch)
- [binarysearch: @soldair](https://www.npmjs.com/package/binarysearch)

[search]: https://github.com/nodef/extra-array/wiki/search
[searchRight]: https://github.com/nodef/extra-array/wiki/searchRight
[searchAll]: https://github.com/nodef/extra-array/wiki/searchAll
[scan]: https://github.com/nodef/extra-array/wiki/scan
[find]: https://github.com/nodef/extra-array/wiki/find
